<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");	

	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/check_in.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$checkin = new CheckIn($db);
	$data = json_decode(file_get_contents("php://input"));	
	
	$stmt = $checkin->getAllCheckinRoom();
	
	$num = $stmt->rowCount();
	$arr=array();
	$arr["records"]=array();
	if($num>0){

		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$item=array(
				"checkin_id" => (int)$checkin_id,
				"room_no" => $room_no,
				"guest_name" => ($guest_name)?$guest_name:""
			);
			array_push($arr["records"], $item);
		}
		
	}
	echo json_encode($arr);
?>